/**********************************************************

This software is part of J.-S. Caux's ABACUS++ library.

Copyright (c)

-----------------------------------------------------------

File:  Sort_RAW_File.cc

Purpose:  produce a sorted .raw file.
          
***********************************************************/

#include "JSC.h"

using namespace std;
using namespace JSC;


int main(int argc, char* argv[]) 
{
  if (argc != 4) { 
    cout << "Arguments needed: rawfile, whichDSF, whichsorting." << endl;
    JSCerror("");
  }

  const char* rawfilename = argv[1];
  char whichDSF = *argv[2];
  char whichsorting = *argv[3];


  //cout << rawfilename << "\t" << whichDSF << "\t" << whichsorting << endl;
  Sort_RAW_File (rawfilename, whichsorting, whichDSF);

  return(0);
}
