/**********************************************************

This software is part of J.-S. Caux's ABACUS library.

Copyright (c).

-----------------------------------------------------------

File:  JSC_Infprec.h

Purpose:  Declarations for infinite precision arithmetic classes.

***********************************************************/


#ifndef _JSC_INFPREC_
#define _JSC_INFPREC_

namespace JSC {

  class infprec_int {
    
  private:
    int nintrep; // number of integers used in representation
    int baseint; // fundamental int
    Vect<unsigned int> xint; // extra integers
 
  }

} // namespace JSC

#endif
